Subject: bug#30760: guix system init broken on non GuixSD

From: Tomáš Čech <[email-masked]>
Date: Mon, 12 Mar 2018 10:19:23 +0100

On Sun, Mar 11, 2018 at 10:38:18PM +0100, Ludovic Courtès wrote:
>Tomáš Čech <[email-masked]> skribis:
>
>> In ice-9/boot-9.scm:
>>    829:9  1 (catch system-error #<procedure 7fa004522f60 at gnu/sy…> …)
>> In gnu/system/linux-initrd.scm:
>>    361:6  0 (_)
>>
>> gnu/system/linux-initrd.scm:361:6: known-module-aliases: unbound variable
>
>My bad!  Danny eventually fixed it in
>0803ddf2677ead5e9d8ef698316125e0c8b9c998.

I'm afraid this is still not correct.

# guix system init config.scm /mnt/mnt/
...
config.scm:64:9: error: you may need these modules in the initrd for /dev/nvme0n1p2: shpchp
hint: Try adding them to the `initrd-modules' field of your `operating-system' declaration, along these lines:

      (operating-system
        ;; ...
        (initrd-modules (append (list "shpchp")
                                %base-initrd-modules)))

I don't have `shpchp` as a module as I have it compiled into kernel
directly. Can I somehow disable the check?

Thanks.

S_W